# Needed for rm_r.
require 'fileutils'

require 'common/dovecot_plugin'
require 'rm/rm_plugin'

class DovecotRm

  include DovecotPlugin
  include RmPlugin


  def delete_domain(domain)
    # Will raise an exception if the path doesn't exist.
    domain_path = self.get_domain_path(domain)
    FileUtils.rm_r(domain_path)
  end

  def delete_user(user)
    # Will raise an exception if the path doesn't exist.
    user_path = self.get_user_path(user)
    FileUtils.rm_r(user_path)
  end

end
